com.unitech.lib.types

## Enum EngineModel

- java.lang.Object
- - java.lang.Enum<EngineModel>
  - - com.unitech.lib.types.EngineModel

- All Implemented Interfaces:
    Serializable, Comparable<EngineModel>

      public enum EngineModel
      extends Enum<EngineModel>

  The EngineModel enum represents different types of engine models. Each engine model is associated with a unique integer value and a descriptive string message. The enum also provides methods to get the integer value and string message of an engine model, and to get an engine model from its integer value or name. It also provides a method to get the vendor of an engine model.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EngineModel.EngineVendor` The EngineVendor enum represents different types of engine vendors.

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `N4603`
    `N5703`
    `N6703`
    `N6803`
    `SE2707`
    `SE4107`
    `SE4770`
    `SE4850`
    `SE5500`
    `SE965`
    `Unknown`
    `XL3030ER`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EngineModel` | `fromName(String name)` Gets an engine model from its name.
    `static EngineModel` | `fromValue(int value)` Gets an engine model from its integer value.
    `int` | `getCode()` Gets the integer value of the engine model.
    `EngineModel.EngineVendor` | `getVendor()` Gets the vendor of the engine model.
    `String` | `toString()` Returns the string message of the engine model.
    `int` | `value()` Gets the integer value of the engine model.
    `static EngineModel` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EngineModel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Unknown

          public static final EngineModel Unknown

    - #### SE4770

          public static final EngineModel SE4770

    - #### SE4107

          public static final EngineModel SE4107

    - #### SE2707

          public static final EngineModel SE2707

    - #### SE965

          public static final EngineModel SE965

    - #### SE4850

          public static final EngineModel SE4850

    - #### N4603

          public static final EngineModel N4603

    - #### N6703

          public static final EngineModel N6703

    - #### N6803

          public static final EngineModel N6803

    - #### XL3030ER

          public static final EngineModel XL3030ER

    - #### SE5500

          public static final EngineModel SE5500

    - #### N5703

          public static final EngineModel N5703

  - ### Method Detail

    - #### values

          public static EngineModel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EngineModel c : EngineModel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EngineModel valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public int value()

      Gets the integer value of the engine model.
      Returns:
        The integer value of the engine model.

    - #### getCode

          public int getCode()

      Gets the integer value of the engine model.
      Returns:
        The integer value of the engine model.

    - #### toString

          public String toString()

      Returns the string message of the engine model.
      Overrides:
        `toString` in class `Enum<EngineModel>`
      Returns:
        The string message of the engine model.

    - #### fromValue

          public static EngineModel fromValue(int value)
                                       throws IllegalArgumentException

      Gets an engine model from its integer value.
      Parameters:
        `value` - The integer value of the engine model.
      Returns:
        The engine model associated with the integer value.
      Throws:
        `IllegalArgumentException` - If the integer value does not correspond to any engine model.

    - #### fromName

          public static EngineModel fromName(String name)
                                      throws IllegalArgumentException

      Gets an engine model from its name.
      Parameters:
        `name` - The name of the engine model.
      Returns:
        The engine model associated with the name.
      Throws:
        `IllegalArgumentException` - If the name does not correspond to any engine model.

    - #### getVendor

          public EngineModel.EngineVendor getVendor()

      Gets the vendor of the engine model.
      Returns:
        The vendor of the engine model, which can be Zebra, Honeywell, Sunlux, or unknown.